namespace eval laminatebuttons {

variable laminate

}
proc laminatebuttons::initbuttons { op args } {
    variable laminate
 
    switch $op {
	"INIT" {
	    set PARENT [lindex $args 0]
	    upvar [lindex $args 1] ROW
	    set GDN [lindex $args 2]
	    set STRUCT [lindex $args 3]
	    set llaminate [label $PARENT.llaminate -text "Laminate" -justify left]
	    set blaminate [Button $PARENT.blaminate -text "Create/Edit" -helptext \
		               "Open a window to create or edit\na new laminate shell" \
		               -command laminatebuttons::ViewMaterial]
	    set cblaminate [ComboBox $PARENT.cblaminate -textvariable laminatebuttons::laminate \
		    -editable false -values ""]
	    $cblaminate configure -postcommand "laminatebuttons::updatecblaminate $cblaminate"
	    grid $llaminate -column 0 -row $ROW -sticky ne -pady 10
	    grid $cblaminate -column 1 -row $ROW -sticky nw -pady 10
	    grid $blaminate -column 1 -row [expr $ROW+1] -sticky nw

	    if { $laminate == "" } {
		foreach elem [ .central.s info materials] {
		    if { [.central.s info materials $elem BOOK] == "Laminate_shell" } {
		        set laminate $elem
		        break
		    }
		}
	    }
	}
	"SYNC" {
	    set GDN [lindex $args 0]
	    set STRUCT [lindex $args 1]
	    upvar \#0 $GDN GidData 
	    if { $laminate != "" } {
	    DWLocalSetValue $GDN $STRUCT  "Laminate" $laminate
	    } else {
		WarnWin "Select a laminate shell before to assign condition" 
	    }

	}
	"CLOSE" {
	    set laminate ""    
	}
    }
}
proc laminatebuttons::updatecblaminate { cb } {
    variable laminate

    set values ""
    set aux [ .central.s info materials]
     foreach elem $aux {
	if { [.central.s info materials $elem BOOK] == "Laminate_shell" } {
	    lappend values  $elem
	}
    }
    $cb configure -values $values
} 

proc laminatebuttons::ViewMaterial {} {
    variable laminate

    set GDN [GidOpenMaterials Laminate_shell]
#     global $GDN
#     upvar \#0 $GDN GidData
#     set _mat $laminate
#     set _mat [DWUnder2Space $_mat]
#     set GidData(MAT,matname) $_mat
#     DWMaterialUpdateProperties $GDN
#     DWCreateMaterialFrame $GDN
}

     