namespace eval naval_stiffeners {

variable stiffener

}
proc naval_stiffeners::initbuttons { op args } {

variable stiffener    
    switch $op {
	"INIT" {
	    set PARENT [lindex $args 0]
	    upvar [lindex $args 1] ROW
	    set GDN [lindex $args 2]
	    set STRUCT [lindex $args 3]
	    set cmd "GidOpenMaterials Naval_Stiffeners"
	    set lstiffener [label $PARENT.lstiffener -text "Stiffener" -justify left]
	    set bstiffener [Button $PARENT.bstiffener -text "Create/Edit" -helptext "Open a window to create or to edit\na new naval stiffener" \
		    -command $cmd]
	    set cbstiffener [ComboBox $PARENT.cbstiffener -textvariable naval_stiffeners::stiffener \
		    -editable false -values ""]
	    $cbstiffener configure -postcommand "naval_stiffeners::updatecbstiffener $cbstiffener"
	    grid $lstiffener -column 0 -row $ROW -sticky ne -pady 10
	    grid $cbstiffener -column 1 -row $ROW -sticky nw -pady 10
	    grid $bstiffener -column 1 -row [expr $ROW+1] -sticky nw          
	}
	"SYNC" {
	    set GDN [lindex $args 0]
	    set STRUCT [lindex $args 1]
	    upvar \#0 $GDN GidData 
	    if { $stiffener != "" } {
	    DWLocalSetValue $GDN $STRUCT  "Stiffener" $stiffener
	    } else {
		WarnWin "Select a stiffener before to assign condition" 
	    }

	}
	"CLOSE" {
	    set stiffener ""    
	}
    }
}
proc naval_stiffeners::updatecbstiffener { cb } {
    
    set values ""
    set aux [ .central.s info materials]
     foreach elem $aux {
	if { [.central.s info materials $elem BOOK] == "Naval_Stiffeners" } {
	    lappend values  $elem
	}
    }
    $cb configure -values $values
} 
	    